@ECHO OFF
REM -- DOS script for installing the GBExtended library

CALL ..\configure.bat
CALL localconfigure.bat

IF DEFINED TARGET_INCLUDE_ROOT_DIR GOTO :ELSE1
  ECHO ### ERROR: configuration file not adapted - please edit it first ###
  GOTO :ENDIF1
:ELSE1
  REM -- make the target directories
  ECHO ### GBExtended: making target directories for library ###
  IF NOT EXIST %TARGET_INCLUDE_DIR%\NUL  %MKDIR_PROGRAM% %Target_Include_Dir%
  IF NOT EXIST %TARGET_SOURCE_DIR%\NUL   %MKDIR_PROGRAM% %Target_Source_Dir%
  IF NOT EXIST %TARGET_OBJECT_DIR%\NUL   %MKDIR_PROGRAM% %Target_Object_Dir%

  REM -- copy the include and source files to the appropriate directories
  ECHO ### GBExtended: copying files ###
  %CP_PROGRAM% include\*.h %TARGET_INCLUDE_DIR%
  %CP_PROGRAM% src\*.c %TARGET_SOURCE_DIR%
  %CP_PROGRAM% src\*.s %TARGET_SOURCE_DIR%
  %CP_PROGRAM% lib\*.lib %TARGET_SOURCE_DIR%
:ENDIF1
